use warnings;
use strict;

use Test::More tests => 7;
use Test::Exception;

use POWER::Utils::Resource;


my @list;

throws_ok { FD_list(undef)  } qr/Usage:/;
throws_ok { FD_list(0,0)    } qr/Usage:/;
throws_ok { FD_list(0)      } qr/opendir:/;
my $pid = fork or exit;
wait;
throws_ok { FD_list($pid)   } qr/opendir:/;

is_deeply([FD_list()], [FD_list($$)],  'current pid without params');

open my $fh1, '>', '/dev/null'  or die "open: $!";
@list = grep {$_->[0] == fileno($fh1)} FD_list();
is_deeply(\@list, [[fileno($fh1), '/dev/null', ' w']], '>/dev/null');

open my $fh2, '<', '/dev/zero'  or die "open: $!";
@list = grep {$_->[0] == fileno($fh2)} FD_list();
is_deeply(\@list, [[fileno($fh2), '/dev/zero', 'r ']], '</dev/zero');

#diag sprintf "%3\$s %3d %s\n", @$_ for FD_list();

